<template>
  <div class="container mx-auto">
    <sport-popular-match v-if="isRecommendMatchEnabled" />
    <banner-entry
      :variant="indexBlogI.Text !== '' ? indexBlogI.Text : 'compact'"
      v-if="!indexBlogI.IsHidden"
    />
    <lobby-promotion :is-use-text="false" v-if="isIndexBlogIIEnabled" />
    <lobby-shortcut />
    <lobby-provider v-if="isIndexBlogVEnabled" class="mb-24" />
  </div>
</template>
<script setup lang="ts">
import { store } from "~~/store";

const themeProperties =
  store.state.companyThemePropertiesFromApi.ThemeProperties;
const indexBlogI = themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_1"
);
const isIndexBlogIIEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_2"
).IsHidden;
const isIndexBlogVEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_5"
).IsHidden;
const isRecommendMatchEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "sportsbook_recommend_matches"
).IsHidden;
</script>
